/*
 * Author: Team SharePoint - Mindfire Solutions, India
 * Created On: July-24-2009
 * Description: Class file to fetch External Data for Welcome User Webpart
 *              [The code can be customized to generate ones own output string.
 *              Do not change the structure of the code, like the namespace, 
 *              class name or the method name. Just replace your logic within 
 *              the TRY block to generate the customized output string.]
 */

using System;
using System.Collections.Generic;
using System.Data;
using System.Text;

namespace WelcomeUser
{
    public static class ExternalData
    {
        /// <summary>
        /// Get External Data
        /// </summary>
        /// <returns>external data as string</returns>
        public static String GetExternalData()
        {
            String output;

            try
            {
                /* replace this with your own code to generate an output string */
                output = "Hello World !";
            }
            catch(Exception ex)
            {
                output = String.Format("<span style=\"color:red;\">{0}</span>", ex.Message);
            }

            return output;
        }
    }
}